Page MenuHome

Undo causes crash with "Load UI" disabled
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows 10
Graphics card: NVIDIA GeForce RTX 2060

Blender Version
Broken: 2.83 (sub 13), branch: master, commit date: 2020-04-17 20:03, hash: 76b3aac802f9, type: Release, also in 2.90 (1f1520a04503)
build date: 2020-04-17, 21:04:49
Worked: Blender 2.82a

Short description of error

Blender crashes when performing Undo with Load UI disabled

Exact steps for others to reproduce the error

  1. Open Blender
  2. Reset to factory settings (File - Defaults - Load Factory Settings)
  3. In Preferences, turn off Load UI (Save & Load section)
  4. Click "Save Preferences"
  5. Open the file CrashTest.blend
  6. Perform any action in the scene (I rotated the camera)
  7. Perform Undo (Ctrl-Z)
  8. Observe crash

Note! If I clear the scene, I can perform any action and undo it without a crash. For example I created a cube, rotated it and performed an undo without a problem.

Event Timeline

Julian Eisel (Severin) changed the task status from Needs Triage to Needs Information from User.Apr 19 2020, 3:37 PM

There were some fixes for the new undo, and I can't recreate this here. Even with various memory utilities enabled (that should aggressively check for and detect any memory issues, which are typically the cause of such crashes).

Could you test with a newer 2.83 and if that doesn't work, a 2.90 build? https://builder.blender.org/download/

Tested with the latest 2.90 (1f1520a04503) and it works fine. No crash.

Julian Eisel (Severin) closed this task as Resolved.Apr 19 2020, 7:04 PM
Julian Eisel (Severin) claimed this task.

Great, closing then :)

I managed to recreate this bug also in 2.90 (1f1520a04503). Might warrant a reopening.

  1. Open Blender
  2. Reset to factory settings (File - Defaults - Load Factory Settings)
  3. In Preferences, turn off Load UI (Save & Load section)
  4. Click "Save Preferences"
  5. Open the file CrashTest.blend
  6. Perform any action in the scene (I rotated the camera)
  7. Perform Undo (Ctrl-Z)
  8. Observe crash
Julian Eisel (Severin) reopened this task as Confirmed.Apr 20 2020, 1:15 AM
Julian Eisel (Severin) triaged this task as High priority.

Getting a failed assert:

/home/guest/blender/software/git/blender/build/bin/blender(BLI_system_backtrace+0xb9) [0x6466b79]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_main_idmap_create+0xb57) [0x4f85349]
/home/guest/blender/software/git/blender/build/bin/blender(blo_make_old_idmap_from_main+0x116) [0x1a5176b]
/home/guest/blender/software/git/blender/build/bin/blender(BLO_read_from_memfile+0x3d7) [0x1a38113]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_blendfile_read_from_memfile+0x66) [0x4f3644f]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_memfile_undo_decode+0x38e) [0x4f329a8]
/home/guest/blender/software/git/blender/build/bin/blender() [0x466da72]
/home/guest/blender/software/git/blender/build/bin/blender() [0x4ff0184]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_undosys_step_undo_with_data_ex+0x555) [0x4ff5fbd]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_undosys_step_undo_with_data+0x2d) [0x4ff65b2]
/home/guest/blender/software/git/blender/build/bin/blender(BKE_undosys_step_undo+0x89) [0x4ff663d]
/home/guest/blender/software/git/blender/build/bin/blender() [0x46648d0]
/home/guest/blender/software/git/blender/build/bin/blender() [0x46651db]
/home/guest/blender/software/git/blender/build/bin/blender() [0x466648d]
/home/guest/blender/software/git/blender/build/bin/blender() [0x1913845]
/home/guest/blender/software/git/blender/build/bin/blender() [0x191b677]
/home/guest/blender/software/git/blender/build/bin/blender() [0x191f22b]
/home/guest/blender/software/git/blender/build/bin/blender() [0x19228fd]
/home/guest/blender/software/git/blender/build/bin/blender() [0x1923c7a]
/home/guest/blender/software/git/blender/build/bin/blender(wm_event_do_handlers+0x249a) [0x192a0de]
/home/guest/blender/software/git/blender/build/bin/blender(WM_main+0x30) [0x18f814c]
/home/guest/blender/software/git/blender/build/bin/blender() [0xbe4883]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xeb) [0x7fdd39846e0b]
/home/guest/blender/software/git/blender/build/bin/blender(_start+0x2a) [0xbe3cba]
BLI_assert failed: /home/guest/blender/software/git/blender/src/source/blender/blenkernel/intern/main_idmap.c:126, BKE_main_idmap_create(), at 'existing_key == 0'
Aborted
Julian Eisel (Severin) renamed this task from Undo causes crash to Undo causes crash with "Load UI" disabled.Apr 20 2020, 1:15 AM
Julian Eisel (Severin) changed the subtype of this task from "Report" to "Bug".